Transactions

Transactions represent movements of funds into or out of a wallet. Each transaction records the amount, direction, balance after the movement, and the action that triggered it.

Overview

Transactions are created automatically when funds move through the platform — for example, when a payment is sent, a conversion is executed, or inbound funds are credited to a wallet. Transactions are read-only.


Search Wallet Transactions

GET/v1/wallets/{idOrCcyCode}/transactions

Search for transactions for a specific wallet.

Please refer to the Search Guide for information on how to construct queries.

Path Parameters

Search Parameters

It is possible to search for transactions by the following fields. Please refer to the data object definition in the Response Body below for details on each field.

Request

GET
/v1/wallets/{idOrCcyCode}/transactions
  curl -G https://api.flowbrite.io/v1/wallets/{idOrCcyCode}/transactions \
  -H "X-API-KEY: {api_key}" \
  -d 'q=status=="COMPLETED"' \
  -d "sortBy=createdOn:DESC" \
  -d "offset=0" \
  -d "limit=10"

Responses

Response Body

  • Name
    data
    Type
    object[]
    This is an array
    Type
    Description
  • Name
    meta
    Type
    object
    Type
    Description
    Metadata about the transaction search results.

Example Responses

{
  "data": [
    {
      "id": "txn_X01JTK7NABCDEF1234567890",
      "client": {
        "id": "cli_X01JTK7H2EE6PY6D8F5KJ5CXY8K",
        "name": "Joanna Bloggs"
      },
      "wallet": {
        "id": "wal_D01JTK7M1N8PVQJS387BB6RD885",
        "ccyCode": "GBP"
      },
      "amount": { "ccyCode": "GBP", "value": 5000.0 },
      "signedAmount": { "ccyCode": "GBP", "value": -5000.0 },
      "balance": { "ccyCode": "GBP", "value": 45000.0 },
      "direction": "DEBIT",
      "triggeredByAction": "PAYMENT",
      "status": "COMPLETED",
      "reason": "Payment to Tiptop Travel",
      "createdOn": "2025-05-02T09:00:00",
      "settlesOn": "2025-05-02T09:00:00",
      "completedOn": "2025-05-02T09:00:00",
      "updatedOn": "2025-05-02T09:00:00",
      "relatedEntity": {
        "id": "pmt_X01JTK7ME0F20ZMPS1MJZ70KYC8",
        "type": "PAYMENT",
        "reference": "20250502-ABCDEF",
        "details": {
          "description": "Narrative"
        }
      },
      "sortPriority": 1,
      "sortDate": "2025-05-02T09:00:00"
    }
  ],
  "meta": {
    "query": "[None]",
    "sortBy": ["createdOn:DESC"],
    "offset": 0,
    "limit": 10,
    "count": 1,
    "totalCount": 1,
    "timestamp": "2025-06-05T09:27:19.4135893Z"
  }
}

Search All Transactions

GET/v1/transactions

Search for transactions across all wallets.

Please refer to the Search Guide for information on how to construct queries.

Search Parameters

It is possible to search for transactions by the following fields. Please refer to the data object definition in the Response Body below for details on each field.

Request

GET
/v1/transactions
  curl -G https://api.flowbrite.io/v1/transactions \
  -H "X-API-KEY: {api_key}" \
  -d 'q=status=="COMPLETED"' \
  -d "sortBy=createdOn:DESC" \
  -d "offset=0" \
  -d "limit=10"

Responses

Response Body

  • Name
    data
    Type
    object[]
    This is an array
    Type
    Description
  • Name
    meta
    Type
    object
    Type
    Description
    Metadata about the transaction search results.

Example Responses

{
  "data": [
    {
      "id": "txn_X01JTK7NABCDEF1234567890",
      "client": {
        "id": "cli_X01JTK7H2EE6PY6D8F5KJ5CXY8K",
        "name": "Joanna Bloggs"
      },
      "wallet": {
        "id": "wal_D01JTK7M1N8PVQJS387BB6RD885",
        "ccyCode": "GBP"
      },
      "amount": { "ccyCode": "GBP", "value": 5000.0 },
      "signedAmount": { "ccyCode": "GBP", "value": -5000.0 },
      "balance": { "ccyCode": "GBP", "value": 45000.0 },
      "direction": "DEBIT",
      "triggeredByAction": "PAYMENT",
      "status": "COMPLETED",
      "reason": "Payment to Tiptop Travel",
      "createdOn": "2025-05-02T09:00:00",
      "settlesOn": "2025-05-02T09:00:00",
      "completedOn": "2025-05-02T09:00:00",
      "updatedOn": "2025-05-02T09:00:00",
      "relatedEntity": {
        "id": "pmt_X01JTK7ME0F20ZMPS1MJZ70KYC8",
        "type": "PAYMENT",
        "reference": "20250502-ABCDEF",
        "details": {
          "description": "Narrative"
        }
      },
      "sortPriority": 1,
      "sortDate": "2025-05-02T09:00:00"
    }
  ],
  "meta": {
    "query": "[None]",
    "sortBy": ["createdOn:DESC"],
    "offset": 0,
    "limit": 10,
    "count": 1,
    "totalCount": 1,
    "timestamp": "2025-06-05T09:27:19.4135893Z"
  }
}